condor (25.11.0+dfsg-1) unstable; urgency=medium

  * Prevent one user's many file transfers from halting matches for all users
  * condor_watch_q will gather DAGs that started after it did
  * condor_dag_checker can now check submit files, sub-DAGs, and scripts
  * Gangliad can now aggregate deltas of monotonically increasing values
  * condor_config_val --trace finds a definition in a complex configuration
  * Now able to set a duration to a user's running jobs ceiling
  * Multi-call binaries can now be used with DAGMan
  * Initial support for EP health checks
  * Fix rare EP crash when using a custom docker wrapper script
  * Fix rare issue where condor_dagman would abort after a system reboot
  * Now builds with openssl 4.0 (Closes: #1138298)

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 17 Jun 2026 11:13:00 -0500

condor (25.10.1+dfsg-2) unstable; urgency=medium

  * Another reproducible build fix -DLINUX=1

 -- Tim Theisen <tim@cs.wisc.edu>  Mon, 25 May 2026 15:50:00 -0500

condor (25.10.1+dfsg-1) unstable; urgency=medium

  * Several improvements to throttle and monitor DAGMan resource usage
  * Can now automatically retry a job with a larger disk request
  * .chirp.config has been moved out of the job's scratch directory
  * Disables swap for jobs on cgroup v1 systems by default
  * Can now append columns to condor_(qusers|status|who) output
  * Allow URL style container images when file transfer is off
  * Improvements to handling batch universe jobs
  * Fixed Access Point spooled X.509 job proxy refresh
  * Fix reporting of RemoteUserCPU in parallel universe
  * condor_ssh_to_job can now execute one-shot commands when using containers
  * condor_ssh_to_job now enters the proper cgroup when using containers
  * Fixed Access Point spooled X.509 job proxy refresh
  * Fix reporting of RemoteUserCPU in parallel universe
  * condor_ssh_to_job can now execute one-shot commands when using containers
  * condor_ssh_to_job now enters the proper cgroup when using containers
  * Now builds using gcc 16 (Closes: #1133446)

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 12 May 2026 12:55:00 -0500

condor (25.8.2+dfsg-1) unstable; urgency=medium

  * Fix detection and reporting of NVIDIA MIG GPU attributes
  * Add '--rocm' flag to Apptainer GPU jobs to support AMD GPUs
  * Can now use 'condor_rm -transfer' to fetch whatever output is available
  * Can now use 'condor_q -aaf' to append columns to the standard output
  * Can now run 'condor_top --history' to get fast response from stored data
  * htcondor dag status now includes information about file transfers
  * htcondor job status and condor_q now report cool down state information
  * condor_run no longer passes 'getenv = true' to the submit file
  * Fix condor_ssh_to_job for setuid Apptainer or Singularity runtimes
  * The negotiator now knows the user's floor to avoid improper preemption
  * The condor_shadow now logs information about reconnect attempts
  * condor_config_val can now report configuration option's default value
  * Fix crash when a user provided Docker script produces unexpected output
  * Now properly reports NVIDIA MIG GPU device names
  * Fix performance problem in the htcondor2 Python ClassAd parser
  * Fix AllowedExecuteDuration to be reliably enforced when no file transfer
  * Batch grid universe jobs now tolerate a dot in the username
  * Fix huge reported job execution times when an AP restarts
  * Move to bootstrap-html (v5) (Closes: #1088450)

 -- Tim Theisen <tim@cs.wisc.edu>  Fri, 08 May 2026 16:05:00 -0500

condor (25.7.2+dfsg-1) unstable; urgency=medium

  * Improve schedd performance with large job records by sizing pipe buffers
  * condor_watch_q display improvements
  * When a job runs out of memory, report how much memory was provisioned
  * Improve AMD GPU detection when using RCOM6/HIP libraries
  * Fix for new jobs getting kicked off LVM EP due to quantization mismatch
  * condor_submit now reports an error for circular requirement expressions
  * condor_status now correctly reports offline GPUs
  * Can use use a string for 'since' with htcondor.Schedd.history()
  * Fix for backfill GPUs disappearing on reconfig
  * Enable use of in-memory SciTokens cache, if disk cache not usable
  * Fix condor_submit using different executables with late materialization

 -- Tim Theisen <tim@cs.wisc.edu>  Mon, 16 Mar 2026 11:31:00 -0500

condor (25.6.1+dfsg-1) unstable; urgency=medium

  * New and improved Python bindings: classad2 and htcondor2
    * Python code must be migrated to the new bindings
  * New condor_dag_checker tool finds syntax and logic errors before run
  * Add the ability to enforce memory and CPU limits on local universe jobs
  * Add job attributes to track why and how often a job is vacated
  * New job attribute to report number of input files transferred by protocol
  * New condor_q -hold-codes produces a summary of held jobs
  * condor_status -lvm reports current disk usage by slots on the EPs
  * Add new 'halt' and 'resume' verbs to 'htcondor dag'
  * htcondor ap status now reports the AP's RecentDaemonCoreDutyCycle
  * Can limit the number of times that a job can be released
  * condor_watch_q now displays when file transfer is happening
  * Add ability to use authentication when fetching Docker images
  * HTCondor marks slots as broken when the slot resources cannot be released
  * HTCondor now advertises NVIDIA driver version
  * Improved validation and cleanup of EXECUTE directories
  * New primary_unix_group submit command that sets the job's primary group
  * New shell submit command
  * Can create cgroups without having to be root
  * condor_who now works within glideins
  * Add Singularity launcher to distinguish runtime failure from job failure
  * Container Universe jobs can now mount a writable directory under scratch
  * New job attributes FirstJobMatchDate and InitialWaitDuration
  * Improved tracking and enforcement of disk usage by using LVM
  * Enhancements to the htcondor CLI tool
  * cgroup v2 support for tracking and enforcement of CPU and memory usage
  * Leverage cgroups to hide GPUs not allocated to the job
  * DAGMan can now produce job credentials when using direct submit
  * New submit commands to aid in matching specific GPU requirements
  * Improved default security configuration
  * Significant reduction in memory and CPU usage on the Central Manager
  * As of version 25.0.1 all boost dependencies are removed (Closes: #1127182)

 -- Tim Theisen <tim@cs.wisc.edu>  Tue, 24 Feb 2026 21:34:00 -0600

condor (23.9.6+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add missing Built-Using to the condor binary package (Closes: #1106798).

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 20 Jun 2025 21:49:07 +0200

condor (23.9.6+dfsg-2) unstable; urgency=medium

  * Address security issue CVE-2025-30093 (Closes: #1101498)

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 02 Apr 2025 16:50:00 -0500

condor (23.9.6+dfsg-1) unstable; urgency=medium

  * Add config knob to not have cgroups count kernel memory with cgroups v2
  * Remove support for numeric unit suffixes (k,M,G) in ClassAd expressions
  * In submit files, request_disk & request_memory still accept unit suffixes
  * Hide GPUs not allocated to the job on cgroup v2 systems
  * DAGMan can now produce credentials when using direct submission
  * Singularity jobs have a contained home directory when file transfer is on
  * Avoid using IPv6 link local addresses when resolving hostname to IP addr
  * New 'htcondor credential' command to aid in debugging
  * Add new condor-ap package to facilitate Access Point installation
  * The user can now choose which submit method DAGMan will use
  * Can add custom attributes to the User ClassAd with condor_qusers -edit
  * Add use-projection option to condor_gangliad to reduce memory footprint
  * Fix bug where interactive submit does not work on cgroup v2 systems
  * Warns about deprecated multiple queue statements in a submit file
  * The semantics of 'skip_if_dataflow' have been improved
  * Removing large DAGs is now non-blocking, preserving schedd performance
  * Periodic policy expressions are now checked during input file transfer
  * Local universe jobs can now specify a container image
  * File transfer plugins can now advertise extra attributes
  * DAGMan can rescue and abort if pending jobs are missing from the job queue
  * Docker and Container jobs run on EPs that match AP's CPU architecture
  * Fixed premature cleanup of credentials by the condor_credd
  * Fixed bug where a malformed SciToken could cause a condor_schedd crash
  * Fixed crash in condor_annex script
  * Fixed daemon crash after IDTOKEN request is approved by the collector
  * Remote condor_history queries now work the same as local queries
  * Improve error handling when submitting to a remote scheduler via ssh
  * Fix Python binding crash when submitting a DAG which has empty lines
  * Warns about deprecated multiple queue statements in a submit file
  * Fix bug where plugins could not signify to retry a file transfer
  * The condor_upgrade_check script checks for proper token file permissions

 -- Tim Theisen <tim@cs.wisc.edu>  Fri, 28 Mar 2025 15:09:00 -0500

condor (23.6.2+dfsg-2) unstable; urgency=medium

  * Move systemd files to /usr/lib for /usr-move (DEP17) (Closes: #1073733)

 -- Tim Theisen <tim@cs.wisc.edu>  Sat, 03 Aug 2024 06:52:00 -0500

condor (23.6.2+dfsg-1) unstable; urgency=medium

  * Add ability to transfer EP's starter log back to the Access Point
  * Add the ability to force vanilla universe jobs to run in a container
  * Add the ability to override the entrypoint for a Docker image
  * Can efficiently manage/enforce disk space using LVM partitions
  * Can use VOMS attributes when mapping identities of SSL connections
  * condor_q -better-analyze includes units for memory and disk quantities
  * condor_qusers returns proper exit code for errors in formatting options
  * Ensure the condor_test_token works correctly when invoked as root
  * Fix bug that prevented use of "ftp:" URLs in file transfer
  * Fix bug where empty multi-line values could cause a crash
  * Fix bug where file transfer plugin error was not in hold reason code
  * Fix bug where jobs that matched an offline slot never start
  * Fix bug where ssh-agent processes were leaked with grid universe jobs
  * Fix crash in job router when a job transform is missing an argument
  * Fix DAGMan crash when a provisioner node was given a parent
  * Fix DAGMan where descendants of removed retry-able jobs are marked futile
  * GPU discovery is enabled on all Execution Points by default
  * New condor_submit commands for constraining GPU properties
  * Old ClassAd based syntax is disabled by default for the job router
  * Prevents accessing unallocated GPUs using cgroup v1 enforcement
  * Don't hard-code dependency on a shared library (Closes: #1067661)
  * Fix install problem when multiple condor accounts in LDAP (Closes: #847115)
  * Port to pcre2 10.43

 -- Tim Theisen <tim@cs.wisc.edu>  Fri, 21 Jun 2024 16:16:00 -0500

condor (23.4.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Package: htcondor-doc is rather in Section: doc

 -- Andreas Tille <tille@debian.org>  Tue, 13 Feb 2024 07:32:23 +0100

condor (23.4.0+dfsg-1) unstable; urgency=medium

  * condor_submit warns about unit-less request_disk and request_memory
  * Fix bug where NEGOTIATOR_SLOT_CONSTRAINT was ignored since version 23.3.0
  * The htcondor command line tool can process multiple event logs at once
  * Prevent Docker daemon from keeping a duplicate copy of the job's stdout
  * NVIDIA_VISIBLE_DEVICES environment variable lists full uuid of slot GPUs
  * Fix problem where some container jobs would see GPUs not assigned to them
  * Restore condor keyboard monitoring that was broken since HTCondor 23.0.0
  * In condor_adstash, the search engine timeouts now apply to all operations

 -- Tim Theisen <tim@cs.wisc.edu>  Thu, 08 Feb 2024 08:15:00 -0600

condor (23.3.0+dfsg-1) unstable; urgency=medium

  * Additional assistance converting old syntax job routes to new syntax
  * Able to capture output to debug DAGMan PRE and POST scripts
  * Execution Points advertise when jobs are running with cgroup enforcement
  * All non-zero exit values from file transfer plugins are now errors
  * Fix crash in Python bindings when job submission fails
  * Chirp uses a 5120 byte buffer and errors out for bigger messages
  * condor_adstash now recognizes GPU usage values as floating point numbers

 -- Tim Theisen <tim@cs.wisc.edu>  Fri, 12 Jan 2024 17:18:00 -0600

condor (23.2.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Andreas Tille <tille@debian.org>  Fri, 05 Jan 2024 20:47:23 +0100

condor (23.2.0+dfsg-1) unstable; urgency=medium

  [ Tim Theisen ]
  * Add backward compatible overrides for old lintian used by ftp-masters
  * new upstream feature release (Closes: #982050, #995838, #1020692)
  * Fixes for CVE-2019-18823 (Closes: #963777)
  * Fixes for CVE-2021-25311
  * Fixes for CVE-2021-25312
  * Fixes for CVE-2021-45101 (Closes: #1002540)
  * Fixes for CVE-2021-45102
  * Fixes for CVE-2021-45103
  * Fixes for CVE-2021-45104
  * Fixes for CVE-2022-26110 (Closes: #1008634)
  * Builds with GCC 12 (Closes: #925657)
  * Python bindings for Python 3 (Closes: #790545, #936323, #966726)
  * Port to libpcre2 (Closes: #1000130)
  * Remove globus support (upstream change) (Closes: #671467)
  * add minihtcondor package
  * add htcondor-annex-ec2 package
  * restore openstack_gahp sources
  * Squash lintian errors and warnings
  * Too many to mention see online documentation:
    - https://htcondor.readthedocs.io/en/23.x/version-history/index.html

  [ Alex Waite ]
  * new upstream stable release (update to latest 8.8 stable series)
    - new tool: 'condor_now' - run a job right now by swapping it with another
      specified running job.
    - now tracks and reports GPU Usage and GPU memory usage
    - new grid type 'azure'
    - support for user and daemon authentication using the MUNGE service
    - fixed a memory leak in SSL authentication
    - Reduced encrypted file transfer CPU usage by a factor of six
    - HTCondor can now recognize nVidia Volta and Turing GPUs
  * drop numerous patches (thanks to Tim Theisen's upstreaming efforts!)
  * retire init.d scripts
  * fix assorted lintian errors

  [ Andreas Tille ]
  * cme fix dpkg-control:
     - Point Vcs-fields to Salsa
     - Priotity: optional
     - Drop unneeded versions from dependencies
  * Fix watch file
  * Maintain Files-Excluded
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Transition to automatic debug package (from: htcondor-dbg).
  * Use secure URI in Homepage field.
  * Apply multi-arch hints.
    + htcondor-doc: Add Multi-Arch: foreign.
  * Fix clean target
  * Add missing build dependency on dh addon.
  * Build-Depends: libscitokens-dev, libsqlite3-dev, libglobus-gss-assist-dev
  * Build-Depends: python3-sphinx-autodoc-typehints, python3-nbsphinx
  * Standards-Version: 4.6.1 (routine-update)
  * Fix some issues via `cme fix dpkg-control`
  * Fix VCS fields
  * Build-Depends: rapidjson-dev
  * Enable hardening options
  * Drop windows binaries from upstream source
  * Avoid privacy breach by bootstrap and jquery links
  * Set upstream metadata fields: Repository-Browse.
  * Remove field Section on binary packages htcondor-annex-ec2, minihtcondor
    that duplicates source.
  * Enforce bash as interpreter if bash syntax is used
  * Enable binNMUs
  * Drop unneeded debian/htcondor.conffiles
  * Lintian-overrides
  * Team maintenance by Debian HPC Team <debian-hpc@lists.debian.org>
  * Remove /etc/rc.d/init.d/glite-ce-blah-parser from htcondor package
  * https in watch file
  * Remove manual creation of trigger
  * Move bash_completion to correct dir
  * Remove debian/htcondor.templates
  * watch file reports only even numbered minor versions

 -- Tim Theisen <tim@cs.wisc.edu>  Wed, 27 Dec 2023 20:30:00 -0600

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog condor`.
